# Retrieve guessed rule

Retrieve a list of guessed rules associated with a predictive scoring model.

Endpoint: GET /audiences/{audienceId}/predictive_segments/guess_rule_async
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `audienceId` (integer, required)

## Query parameters:

  - `segmentId` (integer, required)

## Response 200 fields (application/json):

  - `status` (string)
    Enum: "success", "running"

  - `rule` (object)

  - `rule.categoricalAsColumnNames` (array)

  - `rule.categoricalArrayAsColumnNames` (array)

  - `rule.quantitativeAsColumnNames` (array)

  - `rule.preprocess` (array)
    Definition of preprocess. All of `$item.column` must be specified in one of categoricalAsColumnNames, categoricalArrayAsColumnNames, or quantitativeAsColumnNames.

  - `rule.preprocess.column` (string, required)

  - `rule.preprocess.source` (object, required)

  - `rule.preprocess.source.column` (string)

  - `rule.preprocess.source.table` (string)

  - `rule.preprocess.source.functions` (array)

  - `rule.preprocess.source.functions.function` (string, required)
    Enum: "+", "-", "*", "/"

  - `rule.preprocess.source.functions.arg` (number)

  - `rule.preprocess.source.functions.search` (string)

  - `rule.preprocess.source.functions.replacement` (string)

  - `rule.preprocess.source.functions.start` (number)

  - `rule.preprocess.source.functions.length` (number)

  - `rule.preprocess.source.functions.pattern` (string)

  - `rule.preprocess.source.functions.group` (number)

  - `rule.preprocess.source.functions.default` (number, required)

  - `rule.preprocess.source.functions.op` (string)
    Enum: ">", "<", "<=", ">=", "=", "!=", "is", "is\\", "not"

  - `rule.preprocess.source.functions.right_value` (number)

  - `rule.preprocess.source.functions.then` (number)

  - `rule.preprocess.source.functions.else` (number)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 401 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 403 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 404 fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 4XX fields (application/json):

  - `code` (string, required)

  - `message` (string, required)

## Response 5XX fields (application/json):

  - `status` (integer, required)
    Error status

  - `error` (string, required)
    Error message

  - `details` (string)
    Detailed error message

